HanMacWrdKText.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWTextListener.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWGraphicListener.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "MWAWSection.hxx"`
`#include "HanMacWrdKParser.hxx"`
`#include "HanMacWrdKText.hxx"`

## Classes
struct | HanMacWrdKTextInternal::Paragraph
| Internal: class to store the paragraph properties of a HanMacWrdKText. More...
struct | HanMacWrdKTextInternal::Section
| Internal: class to store a section of a HanMacWrdKText. More...
struct | HanMacWrdKTextInternal::Token
| Internal: class to store the token properties of a HanMacWrdKText. More...
struct | HanMacWrdKTextInternal::State
| Internal: the state of a HanMacWrdKText. More...

## Namespaces
namespace | HanMacWrdKTextInternal
| Internal: the structures of a HanMacWrdKText.

## Functions
static Section | HanMacWrdKTextInternal::getSection (const State &state, const long id)